Managed Service for Greenplum® API, REST: Cluster.Restore
Creates a new Greenplum® cluster using the specified backup.
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters:restore
Body parameters
{
"backupId": "string",
"time": "string",
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"environment": "string",
"config": {
"backupWindowStart": {
"hours": "integer",
"minutes": "integer",
"seconds": "integer",
"nanos": "integer"
},
"access": {
"dataLens": "boolean",
"webSql": "boolean",
"dataTransfer": "boolean",
"yandexQuery": "boolean"
},
"zoneId": "string",
"subnetId": "string",
"assignPublicIp": "boolean"
},
"masterResources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"segmentResources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"networkId": "string",
"securityGroupIds": [
"string"
],
"deletionProtection": "boolean",
"hostGroupIds": [
"string"
],
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"segmentHostCount": "string",
"segmentInHost": "string",
"restoreOnly": [
"string"
],
"masterHostGroupIds": [
"string"
],
"segmentHostGroupIds": [
"string"
],
"restorePxf": "boolean",
"restoreHba": "boolean",
"serviceAccountId": "string"
}
|
Field |
Description |
|
backupId |
string Required field. ID of the backup to create a cluster from. |
|
time |
string (date-time) Timestamp of the moment to which the Greenplum cluster should be restored. String in RFC3339 To work with values in this field, use the APIs described in the |
|
folderId |
string Required field. ID of the folder to create the Greenplum® cluster in. The maximum string length in characters is 50. |
|
name |
string Required field. Name of the Greenplum® cluster. The name must be unique within the folder. The maximum string length in characters is 63. Value must match the regular expression |
|
description |
string Description of the Greenplum® cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the Greenplum® cluster as The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
|
environment |
enum (Environment) Required field. Deployment environment of the Greenplum® cluster.
|
|
config |
Greenplum® cluster config. |
|
masterResources |
Resources of the Greenplum® master subcluster. |
|
segmentResources |
Resources of the Greenplum® segment subcluster. |
|
networkId |
string Required field. ID of the network to create the cluster in. The maximum string length in characters is 50. |
|
securityGroupIds[] |
string User security groups. |
|
deletionProtection |
boolean Determines whether the cluster is protected from being deleted. |
|
hostGroupIds[] |
string Host groups to place VMs of cluster on. |
|
maintenanceWindow |
A Greenplum® cluster maintenance window. Should be defined by either one of the two options. |
|
segmentHostCount |
string (int64) Number of segment hosts |
|
segmentInHost |
string (int64) Number of segments on each host |
|
restoreOnly[] |
string List of databases and tables to restore The maximum string length in characters for each value is 256. Each value must match the regular expression |
|
masterHostGroupIds[] |
string Host groups hosting VMs of the master subcluster. |
|
segmentHostGroupIds[] |
string Host groups hosting VMs of the segment subcluster. |
|
restorePxf |
boolean Restore PXF settings from original cluster |
|
restoreHba |
boolean Restore HBA settings from original cluster |
|
serviceAccountId |
string Service account that will be used to access a Yandex Cloud resources |
GreenplumRestoreConfig
|
Field |
Description |
|
backupWindowStart |
Time to start the daily backup, in the UTC timezone. |
|
access |
Access policy for external services. |
|
zoneId |
string ID of the availability zone where the host resides. The maximum string length in characters is 50. |
|
subnetId |
string ID of the subnet that the host should belong to. This subnet should be a part of the network that the cluster belongs to. The maximum string length in characters is 50. |
|
assignPublicIp |
boolean Determines whether the host should get a public IP address on creation.
|
TimeOfDay
Represents a time of day. The date and time zone are either not significant
or are specified elsewhere. An API may choose to allow leap seconds. Related
types are google.type.Date
|
Field |
Description |
|
hours |
integer (int32) Hours of day in 24 hour format. Should be from 0 to 23. An API may choose |
|
minutes |
integer (int32) Minutes of hour of day. Must be from 0 to 59. |
|
seconds |
integer (int32) Seconds of minutes of the time. Must normally be from 0 to 59. An API may |
|
nanos |
integer (int32) Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. |
Access
|
Field |
Description |
|
dataLens |
boolean Allows data export from the cluster to DataLens. |
|
webSql |
boolean Allows SQL queries to the cluster databases from the management console. |
|
dataTransfer |
boolean Allows access for DataTransfer. |
|
yandexQuery |
boolean Allow access for YandexQuery. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources allocated to a host. |
|
diskSize |
string (int64) Volume of the storage used by the host, in bytes. |
|
diskTypeId |
string Type of the storage used by the host: |
MaintenanceWindow
|
Field |
Description |
|
anytime |
object An any-time maintenance window. Includes only one of the fields |
|
weeklyMaintenanceWindow |
A weekly maintenance window. Includes only one of the fields |
WeeklyMaintenanceWindow
A weekly maintenance window.
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week.
|
|
hour |
string (int64) Hour of the day in the UTC timezone. Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |